Bug 233434 - Dead mirror: ftp2.pl.freebsd.org
Summary: Dead mirror: ftp2.pl.freebsd.org
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Guangyuan Yang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-23 10:45 UTC by Mateusz Kwiatkowski
Modified: 2020-11-20 10:33 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Kwiatkowski 2018-11-23 10:45:35 UTC
I’d like to report that one of polish mirrors is dead. It’s listed both in Handbook and in installer as ftp2.pl.freebsd.org.
It doesn’t have DNS record:

$ host ftp2.pl.freebsd.org
Host ftp2.pl.freebsd.org not found: 3(NXDOMAIN)

Also reported to hostmaster@pl.freebsd.org

Regards,
Mateusz Kwiatkowski
Comment 1 Li-Wen Hsu freebsd_committer 2020-10-26 01:45:23 UTC
ftp2.pl is inactive and should be removed from the handbook until we have new mirror.
Comment 2 Guangyuan Yang freebsd_committer 2020-11-20 10:10:31 UTC
Confirmed that the mirror is no longer in the installer: https://github.com/freebsd/freebsd/blob/master/usr.sbin/bsdinstall/scripts/mirrorselect. Just remove the entries in the handbook and the website should be sufficient.
Comment 3 Guangyuan Yang freebsd_committer 2020-11-20 10:21:33 UTC
Actually, the en_US handbook no longer has this mirror - pt_BR one still has it. So we may need to wait for the language team to update the translated version.

In the meantime, disabling it in share/xml/mirrors.xml...
Comment 4 commit-hook freebsd_committer 2020-11-20 10:31:58 UTC
A commit references this bug:

Author: ygy
Date: Fri Nov 20 10:31:04 UTC 2020
New revision: 54694
URL: https://svnweb.freebsd.org/changeset/doc/54694

Log:
  Disable the ftp2.pl mirror since it is no longer active.

  PR:		233434
  Reported by:	Mateusz Kwiatkowski <kwiat3k@panic.pl>
  Approved by:	lwhsu (clusteradm)

Changes:
  head/share/xml/mirrors.xml